Download it now!
Bug 89851 - insert image fails to render "vector-effect=non-scaling-stroke" proprty of svg files
Summary: insert image fails to render "vector-effect=non-scaling-stroke" proprty of sv...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2015-03-05 18:02 UTC by Ian Thompson-Bell
Modified: 2019-10-16 02:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
front panel drawing where writer fails to render the test correctly (11.71 KB, image/svg+xml)
2015-03-05 18:02 UTC, Ian Thompson-Bell
Details
simple svg file of a rectangle containing the word ERROR (2.17 KB, image/svg)
2015-03-06 17:17 UTC, Ian Thompson-Bell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Thompson-Bell 2015-03-05 18:02:33 UTC
Created attachment 113920 [details]
front panel drawing where writer fails to render the test correctly

Writer imports many svg files without a problem. However, whenever an svg file which includes the "vector-effect=non-scaling-stroke" property in inserted into a document the result of blocky and burred. These files are rendered correctly by Firefox and Chrome browsers.
Comment 1 Joel Madero 2015-03-06 03:52:31 UTC
Please attach a sample svg and then set to UNCONFIRMED. Thanks
Comment 2 Ian Thompson-Bell 2015-03-06 17:17:53 UTC
Created attachment 113935 [details]
simple svg file of a rectangle containing the word ERROR
Comment 3 Buovjaga 2015-03-20 17:47:21 UTC
Confirmed the thickness when compared to Firefox.
Inkscape has the same error, though..

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: fi_FI

Ubuntu 14.10 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 4 tommy27 2016-04-16 07:23:54 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:24:22 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2018-10-15 09:05:24 UTC
Firefox 60.0.1 (64-Bit) and Inkscape 0.92.3 (2405546, 2018-03-11) render the file correctly.

Issue reproducible in Writer and Draw (no difference between inserting as graphics in Writer or opening directly in Draw).

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 425af6845ebe066c950b0b63f50563e067485f3e
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-09_23:30:22
Locale: de-AT (de_AT); Calc: CL
Comment 7 QA Administrators 2019-10-16 02:29:36 UTC
Dear Ian Thompson-Bell,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug